Skip to content

Get note by ID

Request

Security
oauth2(Required scopes: note:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

noteIdstringrequired

The note identifier.

GET
/people/{personId}/notes/{noteId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/notes/{noteId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(A borrower, case, supercase or interaction note)

A borrower, case, supercase or interaction can have a note associated with it. Each note can only be associated with one of these objects.

Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "archived": false, "archivedAt": "2019-08-24T14:15:22Z", "archivedBy": { … }, "caseId": "string", "category": "generic", "content": "string", "createdBy": { … }, "deletedBy": { … }, "edited": false, "important": false, "interactionId": "string", "object": "note", "oldContent": [], "pinned": false, "sensitiveData": false, "status": "active", "supercaseId": "string", "taskableInstruction": false, "type": "borrowerNote", "updatedBy": { … } } }